Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class Explosion

    java.lang.Object
      net.minecraft.src.Explosion

    public class Explosion

extends Object

Field Summary
`Entity` | `exploder`
`float` | `explosionSize`
`double` | `explosionX`
`double` | `explosionY`
`double` | `explosionZ`
`List` | `field_77281_g`
`boolean` | `field_82755_b`
`boolean` | `isFlaming` whether or not the explosion sets fire to blocks around it

Constructor Summary
`Explosion(World par1World, Entity par2Entity, double par3, double par5, double par7, float par9)`

Method Summary
`void` | `doExplosionA()` Does the first part of the explosion (destroy blocks)
`void` | `doExplosionB(boolean par1)` Does the second part of the explosion (sound, particles, drop spawn)
`Map` | `func_77277_b()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isFlaming

    public boolean isFlaming

  whether or not the explosion sets fire to blocks around it

### field_82755_b

    public boolean field_82755_b

### explosionX

    public double explosionX

### explosionY

    public double explosionY

### explosionZ

    public double explosionZ

### exploder

    public Entity exploder

### explosionSize

    public float explosionSize

### field_77281_g

    public List field_77281_g

Constructor Detail

### Explosion

    public Explosion(World par1World,
                     Entity par2Entity,
                     double par3,
                     double par5,
                     double par7,
                     float par9)

Method Detail

### doExplosionA

    public void doExplosionA()

  Does the first part of the explosion (destroy blocks)

### doExplosionB

    public void doExplosionB(boolean par1)

  Does the second part of the explosion (sound, particles, drop spawn)

### func_77277_b

    public Map func_77277_b()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD